
/* RECTANGLE GALLERY: */
/* #region */
.gallery-rct
{
  padding: 7px;
  width: 100%;
}
.gallery-rct .image
{
  float: left;
  position: relative;
  width: 25%;
  padding-bottom: 18%;
  overflow: hidden;
  -o-object-fit: cover;
     object-fit: cover;
}
.gallery-rct .tall
{
  width: 12.5%;
}
.gallery-rct .square
{
  width: 18.75%;
}
.gallery-rct .wide
{
  width: 50%;
}
.gallery-rct .verywide
{
  width: 75%;
}
a img /* linked images would otherwise show colored border */
{
  border: none;
}
.gallery-rct img
{
  height: 100%;
  width: 100%;
  position: absolute;
  -o-object-fit: cover;
     object-fit: cover;
  border: 7px solid white;
}
/* #endregion */




/* SQUARE GALLERY: */
/* #region */
.gallery-sq
{
  padding: 4px;
  width: 100%;
}
.gallery-sq .image
{
  float: left;
  position: relative;
  width: calc(25% - 20px);
  padding-bottom: 25%;
  margin: 10px;
  overflow: hidden;
  -o-object-fit: cover;
     object-fit: cover;
}
.gallery-sq img
{
  height: 100%;
  width: 100%;
  position: absolute;
  -o-object-fit: cover;
     object-fit: cover;
  border: 0px solid white;
}
/* #endregion */




/*-----------------------*/
/*-----------------------*/
/*-----------------------*/
/*-----------------------*/
/*-----------------------*/

/* IMAGE GALLERY SWITCHER -- A NAVBAR FOR HAVING MULTI-GALLERY PAGES */
/* #region */
.image-gallery-switcher {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 30px;
  font-size: 20px;
  font-family: 'ceribri-sans', 'Open Sans Condensed', sans-serif;
  color: black;
}

.image-gallery-switcher .container {
  background-color: #b4b4b4; /* Background color */
  border-radius: 10px; /* Curved border radius */
  padding: 0px 10px 10px 10px;
  margin-left: 80px;
  margin-right: 80px;
}

.image-gallery-switcher button {
  padding: 10px 20px;
  margin: 10px 10px 0px;
  background-color: white;
  border-radius: 8px; /* Button border radius */
  text-decoration: none;
  font-family: 'ceribri-sans', 'Open Sans Condensed', sans-serif;
  font-size: 15px;
  font-weight: bold;
  cursor: pointer;
  transition: 0.5s;
}
.image-gallery-switcher .spacer {
  display: none;
}

.image-gallery-switcher button:hover {
  background-color: #909090;
  color: white;
}

.image-gallery-switcher button.selected {
  background-color: #132549;
  color: white;
}

@media only screen and (max-width: 800px) {
  .image-gallery-switcher .container {
    margin-left: 30px;
    margin-right: 30px;
  }
  .image-gallery-switcher button {
    margin: 10px 5px 0px;
  }
}
@media only screen and (max-width: 700px) {
  .image-gallery-switcher button {
    padding: 10px 10px;
    margin: 10px 5px 0px;
  }
  .image-gallery-switcher .spacer {
    display: block;
  }

}
/* #endregion */

/*-----------------------*/
/*-----------------------*/
/*-----------------------*/
/*-----------------------*/
/*-----------------------*/


/* PORTFOLIO - COLLECTIONS GALLERY */
/* #region */
.collections-gallery .image:hover .caption, .collections-gallery .image:active .caption
{
  opacity: 1;
}
.collections-gallery .image:hover .text-outline, .collections-gallery .image:active .text-outline
{
  opacity: 0;
}
.collections-gallery .caption
{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  background-color: rgba(77, 77, 77, 0.6);;
  border: 0px solid white;
  transition: 0.2s;
}
.collections-gallery .text
{
  color: white;
  font-family: 'din-neuzeit-grotesk';
  font-size: 3vw;
  position: absolute;
  top: 5%;
  left: 5%;
}
.collections-gallery .text-outline
{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  transition: 0.2s;
}
.collections-gallery h1
{
  color: white;
  font-family: 'din-neuzeit-grotesk';
  font-size: 1vw;
  position: absolute;
  bottom: 5%;
  left: 10%;
  width: 80%;
  text-align: center;
}
/* #endregion */





/* PORTFOLIO - TRAVEL GALLERY */
/* #region */
.travel-gallery .image
{
  width: 20%;
  padding-bottom: 14%;
}
.travel-gallery .image:hover .caption, .travel-gallery .image:active .caption
{
  background-color: rgba(77, 77, 77, 0.6);;
}
.travel-gallery .image:hover .caption .text, .travel-gallery .image:active .caption .text
{
  opacity: 1;
}
.travel-gallery .image:hover .text-outline, .travel-gallery .image:active .text-outline
{
  opacity: 0;
}
.travel-gallery .caption
{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 1;
  transition: 0.2s;
  background-color: rgba(77, 77, 77, 0);;
  border: 7px solid white;
}
.travel-gallery .text
{
  color: white;
  font-family: 'din-neuzeit-grotesk';
  font-size: 2vw;
  position: absolute;
  bottom: 8%;
  left: 50%;
  line-height: 100%;
  opacity: 0;
  transform: translate(-50%, 0%);
  text-align: center;
}
.travel-gallery .text-outline
{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  transition: 0.2s;
}
.travel-gallery h1
{
  color: white;
  font-family: 'din-neuzeit-grotesk';
  font-size: 1vw;
  position: absolute;
  bottom: 8%;
  left: 50%;
  transform: translate(-50%, 0);
}
/* PORTFOLIO - SUBJECT GALLERY */
.subject-gallery.travel-gallery .image
{
  width: 25%;
  padding-bottom: 18%;
}
/* #endregion */




/* ORDER GALLERY */
/* #region */
.order-gallery
{
  width: 100%;
  padding: 0;
}
.order-gallery .image
{
  float: left;
  position: relative;
  width: 25%;
  padding-bottom: 18%;
  overflow: hidden;
}
.order-gallery .image img
{
  position: absolute;
}
.order-gallery .image img.foreground
{
  max-height: 80%;
  max-width: 80%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all 0.3s;
  cursor: pointer;
  border: none;

  /* -webkit-backface-visibility: hidden;
  -webkit-perspective: 1000;
  -webkit-transform: translate3d(0,0,0);
  -webkit-transform: translateZ(0);
  backface-visibility: hidden;
  perspective: 1000;
  transform: translate3d(0,0,0);
  transform: translateZ(0); */
}
.order-gallery .no-download-overlay {
  /* pointer-events: none; */
  max-height: 80%;
  max-width: 80%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all 0.3s;
  cursor: pointer;
  /* border: none; */
}
.order-gallery .no-download-overlay:hover ~ img.foreground
{
  max-height: 86%;
  max-width: 86%;
}
.order-gallery .image img.background
{
  filter: blur(20px);
  -webkit-filter: blur(20px);
  min-width: 150%;
  min-height: 150%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.order-gallery:not(.visible-gallery) {
  display: none;
}
.gallery-show-more {
  width: 100%;
  text-align: center;
  background-color: rgb(235, 235, 235);
  padding: 10px;
}
.gallery-show-more-button
{
  font-family: raleway, sans-serif;
  margin-left: auto;
  margin-right: auto;
  background-color: goldenrod;
  color: white;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 20px;
  padding-right: 20px;
  font-size: 1.4rem;
  transition: .4s;
}
.gallery-show-more-button:hover {
  background-color: gray;
  color: white;
}
.gallery-show-more-count {
  margin-top: 10px;
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
/* #endregion */





/* GRAPHIC DESIGN */
/* #region */
.graphic-gallery .image
{
  padding-bottom: 14.5%;
}
.graphic-gallery.gallery-rct .tall
{
  width: 9.6666%;
}
.graphic-gallery.gallery-rct .square
{
  width: 12.5%;
}
.graphic-gallery .image:hover .caption, .order-images .image:hover .caption
{
  opacity: 1;
}
.order-images .caption
{
  transition: all .8s;
}
.graphic-gallery .caption, .order-images .caption
{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  background-color: rgba(77, 77, 77, 0.5);;
  border: 7px solid white;
}
.graphic-gallery .text, .order-images .text
{
  color: white;
  font-family: 'din-neuzeit-grotesk';
  font-size: 2vw;
  position: absolute;
  top: 50%;
  left: 50%;
  line-height: 100%;
  transform: translate(-50%, -50%);
  text-align: center;
}
/* #endregion */

/* RESIZING */
.order-images
{
  background-color: rgb(243, 251, 255);
}
.graphic-gallery .image img, .order-images .image img
{
  -o-object-fit: contain !important;
     object-fit: contain !important;
}
.order-images .image
{
  padding-bottom: auto !important;
}


/* ROUNDED CSS GRID GALLERY */
/* #region */
.rounded-css-grid-gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
  grid-template-rows: repeat(5, 1fr);
  gap: 2vw;
  /* gap = space between images, not around edge of gallery (none if padding 0) */
  padding: 2vw;
  /* set to same as gap */
  position: relative;
  width: 100%;
  z-index: 1;
  /* padding: 20px; */
  padding-bottom: 100px;
  box-sizing: border-box;
}

.rounded-css-grid-gallery .image {
  width: fit-content;
  height: fit-content;
  border-radius: 15px;
  overflow: hidden;
  /* object-fit: cover; */
  transition: all .6s ease-in-out;
  grid-column: span 1;
  grid-row: span 1;
  position: relative;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, .2), 5px 5px 25px rgba(0, 0, 0, .1);
}

.rounded-css-grid-gallery .image.horizontal {
  grid-column: span 2;
}

.rounded-css-grid-gallery .image:hover {
  transform: scale(1.05);
  cursor: pointer;
}

@media (max-width: 960px) {

  /* Calculate width of gallery (3 gaps each 2vw) for the minimum 2 cols needed (hz needs 2) */
  /* 450*2/(1-3*0.02) */
  /* Calculate max cell width if next media query will be 700px */
  /* 329 = 700/2*(1-3*0.02) */
  .rounded-css-grid-gallery {
    grid-template-columns: repeat(auto-fit, minmax(329px, 1fr));
  }
}

@media (max-width: 700px) {

  /* Calculate max cell width if next media query will be 450px */
  /* 211 = 450/2*(1-3*0.02) */
  .rounded-css-grid-gallery {
    grid-template-columns: repeat(auto-fit, minmax(211px, 1fr));
  }
}

@media (max-width: 450px) {

  /* Calculate max cell width if supporting as small as 300px */
  /* 141 = 300/2*(1-3*0.02) */
  .rounded-css-grid-gallery {
    grid-template-columns: repeat(auto-fit, minmax(141px, 1fr));
  }
}

/* #endregion */



/* FAIRFIELD GALLERY */
/* #region */
.fairfield-gallery .image:hover .caption
{
  opacity: .7;
}
.fairfield-gallery .caption
{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  border: 0px solid white;
  transition: 0.7s;
}
.fairfield-gallery .text
{
  color: rgb(51, 51, 51);
  font-family: 'din-neuzeit-grotesk';
  font-size: 1.3vw;
  position: absolute;
  bottom: 18px;
  right: 17px;
  background-color: white;
  padding-top: 8px;
  padding-left: 10px;
  padding-right: 10px;
  padding-bottom: 3px;
}
/* #endregion */



/* CIRCLE GALLERY */
/* #region */
.circle-album
{
  width: 60%;
  margin-left: 50%;
  transform: translate(-50%, 0);
}
.circle.gallery-sq
{
  width: 100%;
}
.circle.gallery-sq .image
{
  width: calc(33.3333333333% - 20px);
  padding-bottom: calc(33.3333333333% - 20px);
}
.circle.gallery-sq img
{
  border: 10px solid white;
  border-radius: 100%;
}
.circle-album.pano360
{
  margin-top: 4em;
  margin-bottom: 4em;
}
/* #endregion */


/* STILL LIFE GALLERY */
/* #region */
.still.gallery-rct
{
  padding: 0px;
}
.still.gallery-rct .image
{
  width: 33.333333333%;
}
.still.gallery-rct img
{
  border: none;
}
/* #endregion */



/* NIGHT SKY GALLERY */
/* #region */
.night.gallery-rct
{
  width: calc(100% + 28px);
  overflow: hidden;
  transform: translateX(-14px);
}
.night.gallery-rct .image
{
  width: calc(50% - 14px);
  padding-bottom: 30%;
  margin:7px;
}
.night.gallery-rct img
{
  border: none;
}
/* #endregion */



/* AERIAL GALLERY */
/* #region */
.aerial.gallery-rct
{
  padding-top: 3px;
  padding-left: 0;
  padding-right: 0;
}
.aerial.gallery-rct .image
{
  width: 20%;
  padding-bottom: 15%
}
.aerial.gallery-rct .image
{
  border: 3px solid white;
}
.aerial.gallery-rct img {
  border: none;
}

@media only screen and (min-width: 1200px)
{
  .aerial.gallery-rct .image:nth-child(5n)
  {
    border-right: none;
  }
  .aerial.gallery-rct .image:nth-child(5n-4)
  {
    border-left: none;
  }
}
@media only screen and (max-width: 1200px) and (min-width: 800px)
{
  .aerial.gallery-rct .image {
    width: 33.333333333%;
    padding-bottom: 25%
  }
  .aerial.gallery-rct .image:nth-child(3n)
  {
    border-right: none;
  }
  .aerial.gallery-rct .image:nth-child(3n-2)
  {
    border-left: none;
  }
}
@media only screen and (max-width: 800px)
{
  .aerial.gallery-rct .image {
    width: 50%;
    padding-bottom: 37%
  }
  .aerial.gallery-rct .image:nth-child(2n)
  {
    border-right: none;
  }
  .aerial.gallery-rct .image:nth-child(2n-1)
  {
    border-left: none;
  }
}
/* #endregion */



/* NYC GALLERY */
/* #region */
.nyc.gallery-rct
{
  padding: 0px;
}
.nyc.gallery-rct img
{
  border: none;
}
/* #endregion */



/* CALIFORNIA GALLERY */
/* #region */
.california.gallery-rct {
  width: 34%;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}
.california.gallery-rct .image {
  float: none;
  width: 100%;
  padding: 0;
}
.california.gallery-rct .image img:not(img.no-download-overlay) {
  position: relative;
}
/* #endregion */



/* FLEX GALLERY - EXPERIMENTAL */
/* #region */
.gallery-flex {
  display: flex;
  flex-wrap: wrap;
}
.gallery-flex .image {
  height: 30vh;
  flex-grow: 1;
}
.gallery-flex .image img:not(img.no-download-overlay) {
  max-height: 100%;
  min-width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  vertical-align: bottom;
  /* position: relative; */
}
/* #endregion */



/* SQUARE IMAGES - FIT INTO REG SIZE IN GALLERY-RECT */
/* #region */
.square-special {
  /* float: left; */
  overflow: hidden;
}
.square-special img {
  position: absolute;
}
.square-special img.foreground {
  width: auto;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: none;
}
.square-special img.background {
  filter: blur(20px);
  -webkit-filter: blur(20px);
  min-width: 120%;
  min-height: 120%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
/* #endregion */




@media only screen and (max-width: 1200px) {
  .gallery-sq .image {
    width: calc(25% - 10px);
    margin: 5px;
  }

  .collections-gallery .text {
    font-size: 3vw;
  }

  .collections-gallery h1,
  .travel-gallery h1 {
    font-size: 1.5vw;
  }

  .gallery-rct .image,
  .order-gallery .image {
    width: 33.33333%;
    padding-bottom: 25%;
  }

  .gallery-rct .tall {
    width: 16.6666666%;
  }

  .gallery-rct .square {
    width: 25%;
  }

  .gallery-rct .wide {
    width: 66.66666666%;
  }

  .gallery-rct .verywide {
    width: 100%;
  }

  /* ALBUMS */
  .circle-album {
    width: 75%;
  }

  .circle.gallery-sq img {
    border: 15px solid white;
  }

  .fairfield-gallery .text {
    font-size: 3vw;
  }

  .top-gallery.photoshoots-gallery .image {
    width: 25%;
    padding-bottom: 18%;
  }

  .top-gallery.photoshoots-gallery .tall {
    width: 12.5%;
  }
}

@media only screen and (max-width: 800px) {

  .gallery-rct,
  .gallery-sq {
    padding: 4px;
  }

  .gallery-sq .image {
    width: calc(50% - 8px);
    padding-bottom: 50%;
    margin: 4px;
  }

  .gallery-rct .image,
  .order-gallery .image,
  .subject-gallery.travel-gallery.gallery-rct .image {
    width: 50%;
    padding-bottom: 35%;
  }

  .gallery-rct img {
    border: 4px solid white;
  }

  .gallery-rct .tall {
    width: 25%;
  }

  .gallery-rct .square {
    width: 37.5%;
  }

  .gallery-rct .wide {
    width: 100%;
    /* padding-bottom: 30%; */
    padding-bottom: 45%;
  }

  .gallery-rct .verywide {
    width: 100%;
    padding-bottom: 30%;
  }

  .collections-gallery .text,
  .travel-gallery .text {
    font-size: 6vw;
  }

  .collections-gallery .text-outline h1,
  .travel-gallery .text-outline h1 {
    font-size: 3vw;
  }

  .circle-album.pano360 {
    width: 95%;
    margin-top: 0;
  }

  .circle.gallery-sq .image {
    width: 47%;
    padding-bottom: 47%;
  }

  .circle.gallery-sq img {
    border: 10px solid white;
  }

  .california.gallery-rct {
    width: 65%;
  }

  .nyc.gallery-rct .image {
    width: 50%;
  }

  .nyc.gallery-rct .tall.image {
    width: 25%;
  }

  .top-gallery.photoshoots-gallery .image {
    width: 50%;
    padding-bottom: 36%;
  }

  .top-gallery.photoshoots-gallery .tall {
    width: 25%;
  }
}

@media only screen and (max-width: 700px) {

  /* STILL LIFE */
  .still.gallery-rct .image {
    width: 50%;
  }
}

@media only screen and (max-width: 550px) {

  /* PORTFOLIO PAGE */
  .collections-gallery .text-outline h1,
  .travel-gallery .text-outline h1 {
    font-size: 4vw;
  }
}

@media only screen and (max-width: 400px) {

  /* FAIRFIELD GALLERY */
  .fairfield-gallery .text {
    font-size: 4vw;
  }
}